net.sf.jasperreports.engine.fill

## Interface JRCalculable

- All Known Implementing Classes:
    JRFillVariable, MeasureDefinition.MeasureValue

      public interface JRCalculable

  Interface for objects that can be used by extended incrementers for calculations.
  Version:
    $Id: JRCalculable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRExtendedIncrementer`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `HELPER_COUNT` Constant for the count helper variable.
    `static int` | `HELPER_SIZE` The number of defined helper variables.
    `static byte` | `HELPER_SUM` Constant for the sum helper variable.
    `static byte` | `HELPER_VARIANCE` Constant for the variance helper variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRCalculable` | `getHelperVariable(byte helperType)` Returns a helper variable.
    `java.lang.Object` | `getIncrementedValue()` Returns the incremented value of the calculable object.
    `java.lang.Object` | `getValue()` Returns the value of the calculable object.
    `boolean` | `isInitialized()` Returns `true` if and only if the calculable object was only initialized and not incremented.
    `void` | `setInitialized(boolean isInitialized)` Sets the initialized flag for this calculable object.

- - ### Field Detail

    - #### HELPER_COUNT

          static final byte HELPER_COUNT

      Constant for the count helper variable.
      See Also:
        Constant Field Values

    - #### HELPER_SUM

          static final byte HELPER_SUM

      Constant for the sum helper variable.
      See Also:
        Constant Field Values

    - #### HELPER_VARIANCE

          static final byte HELPER_VARIANCE

      Constant for the variance helper variable.
      See Also:
        Constant Field Values

    - #### HELPER_SIZE

          static final int HELPER_SIZE

      The number of defined helper variables.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isInitialized

          boolean isInitialized()

      Returns `true` if and only if the calculable object was only initialized and not incremented.
      Returns:
        `true` if and only if the calculable object was only initialized and not incremented

    - #### setInitialized

          void setInitialized(boolean isInitialized)

      Sets the initialized flag for this calculable object.
      Parameters:
        `isInitialized` - the initialized flag
      See Also:
        `isInitialized()`

    - #### getIncrementedValue

          java.lang.Object getIncrementedValue()

      Returns the incremented value of the calculable object.
      Returns:
        the incremented value

    - #### getValue

          java.lang.Object getValue()

      Returns the value of the calculable object.
      Returns:
        the value

    - #### getHelperVariable

          JRCalculable getHelperVariable(byte helperType)

      Returns a helper variable.
      Parameters:
        `helperType` - the desired helper variable type
      Returns:
        the helper variable

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com